Skip to main content
POST
/
v1
/
contract-pricing
/
rate-cards
/
update
Update a rate card
curl --request POST \
  --url https://api.metronome.com/v1/contract-pricing/rate-cards/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rate_card_id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
  "name": "My Updated Rate Card",
  "description": "My Updated Rate Card Description"
}
'
import requests

url = "https://api.metronome.com/v1/contract-pricing/rate-cards/update"

payload = {
"rate_card_id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "My Updated Rate Card",
"description": "My Updated Rate Card Description"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rate_card_id: 'd7abd0cd-4ae9-4db7-8676-e986a4ebd8dc',
name: 'My Updated Rate Card',
description: 'My Updated Rate Card Description'
})
};

fetch('https://api.metronome.com/v1/contract-pricing/rate-cards/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Update a rate card. Must provide at least one of name or description.

rate_card_id
string<uuid>
required

ID of the rate card to update

name
string

Used only in UI/API. It is not exposed to end customers.

description
string
aliases
object[]

Reference this alias when creating a contract. If the same alias is assigned to multiple rate cards, it will reference the rate card to which it was most recently assigned. It is not exposed to end customers.

Response

Success

data
object
required